using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StampSendCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (!serialPort1.IsOpen)
            {
                serialPort1.Open();
            }
            else
            {
                MessageBox.Show("Serial port is already open!", "Whoops!");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (serialPort1.IsOpen)
            {
                serialPort1.Close();
            }
            else
            {
                MessageBox.Show("Serial port is already closed!", "Whoops!");
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (!serialPort1.IsOpen)
            {
                MessageBox.Show("Connect to port before sending!", "Whoops!");
            }
            else
            {
                serialPort1.Write(textBox1.Text);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {

            string cmdNumber = "0";


            if (radioButton1.Checked)
            {
                cmdNumber = "1";
            }
            else if (radioButton2.Checked)
            {
                cmdNumber = "2";
            }
            else if (radioButton3.Checked)
            {
                cmdNumber = "3";
            }

            
            if (!serialPort1.IsOpen)
            {
                MessageBox.Show("Connect to port before sending!", "Whoops!");
            }
            else
            {
                serialPort1.Write(cmdNumber);  
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (!serialPort1.IsOpen)
            {
                MessageBox.Show("Connect to port before sending!", "Whoops!");
            }
            else
            {
                serialPort1.Write(comboBox1.Text);
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            
            string cmdNumber = dateTimePicker1.Value.Day.ToString();
            
            if (!serialPort1.IsOpen)
            {
                MessageBox.Show("Connect to port before sending!", "Whoops!");
            }
            else
            {
                serialPort1.Write(cmdNumber);
            }
        }
    }
}